Skip to content

Update Payment Intent Status

POST
/v2/send/payment-intents/{paymentIntentId}/status

Update payment intent status via external webhook (completed, failed, refunded)

paymentIntentId
required
string format: uuid

Payment Intent ID

Example
82c4fce1-d2c7-48cb-a647-6993dbe37819
object
status
required

New status for the payment intent

string
Allowed values: pending networkinprogress networkfailed networkcompleted payoutinprogress payoutfailed payoutcompleted completed failed refunded
payoutinprogress
transactionHash

Transaction hash (optional, required when status is networkinprogress or networkcompleted)

string
0x1234567890abcdef...

The resource has been successfully updated.

object
id
required

Payment Intent ID

string format: uuid
82c4fce1-d2c7-48cb-a647-6993dbe37819
status
required

Updated status

string
Allowed values: pending networkinprogress networkfailed networkcompleted payoutinprogress payoutfailed payoutcompleted completed failed refunded
completed
transactionHash

Transaction hash

string
0x1234567890abcdef...
completedAt

Completion timestamp

string format: date-time
2023-12-01T10:00:00Z
updatedAt
required

Last update timestamp

string format: date-time
2023-12-01T10:00:00Z

Bad Request

Unauthorized

Forbidden

Not Found

Internal Server Error